package com.ifgi.gnc.client;

import java.io.Serializable;
import java.util.ArrayList;




public class Product implements Serializable {
	
	

	private static final long serialVersionUID = 5024218126467340383L;

	private String name;
	private int updateInterval;
	private BBox bBox;
	private ArrayList<String> fileFormats= new ArrayList<String>(); //TODO Arraylist
	private String info;

	public Product() {
	}

	/**
	 * @param name
	 *            the name to set
	 */
	public void setName(String name) {
		this.name = name;
	}

	/**
	 * @return the name
	 */
	public String getName() {
		return name;
	}

	/**
	 * @param updateInterval
	 *            the updateInterval to set
	 */
	public void setUpdateInterval(int minutes) {
		this.updateInterval = minutes;
	}

	/**
	 * @return the updateInterval
	 */
	public int getUpdateInterval() {
		return updateInterval;
	}

	/**
	 * @return the bBox
	 */
	public BBox getbBox() {
		return bBox;
	}

	/**
	 * @param bBox
	 *            the bBox to set
	 */
	public void setbBox(BBox bBox) {
		this.bBox = bBox;
	}

	/**
	 * @param fileFormats
	 *            the fileFormats to set
	 */
	public void setFileFormats(ArrayList<String> fileFormats) {
		this.fileFormats = fileFormats;
	}

	/**
	 * @return the fileFormats
	 */
	public ArrayList<String> getFileFormats() {
		return fileFormats;
	}

	/**
	 * @param info
	 *            the info to set
	 */
	public void setInfo(String info) {
		this.info = info;
	}

	/**
	 * @return the info
	 */
	public String getInfo() {
		return info;
	}

}