rem @echo off
echo rem: Fraction of ABsorbed Photosynthetic Active Radiation African continent (Unit percentage, 0 to 1, 1=100 percent) 
set longfilename=%1
set shortfilename1=%longfilename:~0,12%
set InputDrive=%2
set InputDir=%3
set OutputDrive=%4
set OutputDir=%5
set gdalDir=%6
set IlwDir=%7
set UtilDir=%8
cd\
%OutputDrive%
cd %OutputDir%



echo *%OutputDir%*

IF NOT EXIST %InputDrive%\%InputDir%\"S-LSA_-HDF5_LSASAF_MSG_FAPAR_NAfr_%shortfilename1%.bz2" EXIT 1

copy %InputDrive%\%InputDir%\"S-LSA_-HDF5_LSASAF_MSG_FAPAR_NAfr_%shortfilename1%.bz2" 
copy %InputDrive%\%InputDir%\"S-LSA_-HDF5_LSASAF_MSG_FAPAR_SAfr_%shortfilename1%.bz2" 



START /REALTIME /WAIT %UtilDir%\bzip2-104-x86-win32.exe -d %OutputDrive%\%OutputDir%\S-LSA_-HDF5_LSASAF_MSG_FAPAR_NAfr_%shortfilename1%.bz2
START /REALTIME /WAIT %UtilDir%\bzip2-104-x86-win32.exe -d %OutputDrive%\%OutputDir%\S-LSA_-HDF5_LSASAF_MSG_FAPAR_SAfr_%shortfilename1%.bz2


START /REALTIME /WAIT %gdalDir%\gdal_translate.exe -of ilwis hdf5:"S-LSA_-HDF5_LSASAF_MSG_FAPAR_NAfr_%shortfilename1%"://FAPAR "%OutputDrive%\%OutputDir%\nafr_%shortfilename1%"
START /REALTIME /WAIT %gdalDir%\gdal_translate.exe -of ilwis hdf5:"S-LSA_-HDF5_LSASAF_MSG_FAPAR_SAfr_%shortfilename1%"://FAPAR "%OutputDrive%\%OutputDir%\safr_%shortfilename1%"


START /REALTIME /WAIT %IlwDir%\ilwis.exe -C setgrf %OutputDrive%\%OutputDir%\nafr_%shortfilename1%.mpr %UtilDir%\lst_north;
START /REALTIME /WAIT %IlwDir%\ilwis.exe -C setgrf %OutputDrive%\%OutputDir%\safr_%shortfilename1%.mpr %UtilDir%\lst_south;


START /REALTIME /WAIT %IlwDir%\ilwis.exe -C %OutputDrive%\%OutputDir%\ffapar_africa%shortfilename1%.mpr:=MapGlue('%UtilDir%\lst_whole'.grf,%OutputDrive%\%OutputDir%\nafr_%shortfilename1%,%OutputDrive%\%OutputDir%\safr_%shortfilename1%,replace)

START /REALTIME /WAIT %IlwDir%\ilwis.exe -C %OutputDrive%\%OutputDir%\fapar_africa%shortfilename1%.mpr:=iff(%OutputDrive%\%OutputDir%\ffapar_africa%shortfilename1% ge 0,%OutputDrive%\%OutputDir%\ffapar_africa%shortfilename1%/10000,?)



del ffapar_africa*.mp*
REM del *.xml
del nafr_%shortfilename1%.*
del safr_%shortfilename1%.*
del S-LSA_-HDF5_LSASAF_MSG_FAPAR_*.*

exit
