@echo off
echo rem: extract MSG-based fire product (FIRA), A=ascii
rem filename convention: L-000-MSG2__-MPEF________-FIRA_____-000001___-200806060400-__

set longfilename=%1
set shortfilename1=%longfilename:~0,12%
set InputDrive=%2
set InputDir=%3
set OutputDrive=%4
set OutputDir=%5
set gdalDir=%6
set IlwDir=%7
set UtilDir=%8

cd\
cd\
%OutputDrive%
cd %OutputDir%



echo *%OutputDrive%\%OutputDir%*

IF NOT EXIST %InputDrive%\%InputDir%\L-000-MSG2__-MPEF________-FIRA_____-000001___-%shortfilename1%-__ EXIT 1

copy %InputDrive%\%InputDir%\L-000-MSG2__-MPEF________-FIRA_____-000001___-%shortfilename1%-__ 

START /REALTIME /WAIT %UtilDir%\deletelines.exe "%OutputDrive%\%OutputDir%\L-000-MSG2__-MPEF________-FIRA_____-000001___-%shortfilename1%-__" %OutputDrive%\%OutputDir%\firetbl.txt 3

START /REALTIME /WAIT %IlwDir%\ilwis.exe -C cd %OutputDrive%\%OutputDir%


START /REALTIME /WAIT %IlwDir%\ilwis.exe -C %OutputDrive%\%OutputDir%\fire.tbt:=table(%OutputDrive%\%OutputDir%\firetbl.txt,Space,Convert,none,Column1(string),Column2(value.dom{0:100000:1}),Column3(string),Column4(value.dom{0:100000:1}),Column5(string),Column6(value.dom{-90:90:0.0001}),Column7(string),Column8(value.dom{-90:90:0.0001}),Column9(string),Column10(string),Column11(string),Column12(string))


START /REALTIME /WAIT %IlwDir%\ilwis.exe -C tabcalc %OutputDrive%\%OutputDir%\fire.tbt class:=iff(column9="Possible",1,2)


START /REALTIME /WAIT %IlwDir%\ilwis.exe -C %OutputDrive%\%OutputDir%\fire_points.mpp:=PointMapFromTable('%OutputDrive%\%OutputDir%\fire'.tbt,Column8,Column6,LatlonWGS84,class)

copy "%UtilDir%\maps"\fire*.*
copy "%UtilDir%\maps"\countr*.*
del L-000-MSG2__-MPEF________-FIRA_____-000001___-%shortfilename1%-__

START /REALTIME /WAIT %IlwDir%\ilwis.exe -C show %OutputDrive%\%OutputDir%\fire_fira.mpv

START /REALTIME /WAIT %IlwDir%\ilwis.exe -C %OutputDrive%\%OutputDir%\fire_fira%1.mpr{dom=value;vr=1:2} := MapRasterizePoint(%OutputDrive%\%OutputDir%\fire_points,fire_fira_mapgeoref.grf,1)
exit