package com.ifgi.gnc.client;

import java.io.Serializable;

import com.google.gwt.user.client.Window.Location;


public class Task implements Serializable{
	
	private String eMail;
	private Schedule schedule;
	private Product product;
	private BBox bbox;
	private String format;
	private String id ;
	private String url;
	
	public Task(){};
	
	public Task(String eMail, Schedule schedule, Product product, BBox bbox, String format, String id, boolean isClient) {
		this.eMail = eMail;
		this.schedule = schedule;
		this.product = product;
		this.bbox = bbox;
		this.format = format;
		this.id = id;
		if (isClient) {
			this.url = Location.getHref();
		};
	}
	
	public String geteMail() {
		return eMail;
	}
	
	public Schedule getSchedule() {
		return schedule;
	}
	
	public Product getProduct() {
		return product;
	}
	
	public BBox getBbox() {
		return bbox;
	}
	
	public String getFormat() {
		return format;
	}
	
	public String getId() {
		return id;
	}

	public String getUrl() {
		return url;
	}
}
