package com.ifgi.gnc.server;

import java.util.Properties;
import java.util.logging.Logger;

import javax.mail.Message;
import javax.mail.MessagingException;
import javax.mail.Multipart;
import javax.mail.PasswordAuthentication;
import javax.mail.Session;
import javax.mail.Transport;
import javax.mail.internet.AddressException;
import javax.mail.internet.InternetAddress;
import javax.mail.internet.MimeBodyPart;
import javax.mail.internet.MimeMessage;
import javax.mail.internet.MimeMultipart;

public class Emailer {

	private static final String SMTP_HOST_NAME = "smtp.gmail.com";
	private static final String SMTP_PORT = "465";
	private static final String USERNAME = "ifgi.god@gmail.com";
	private static final String PASSWORD = "andchrdam";
	private static final String FROMEMAIL = "ifgi.god@gmail.com";
	private static final String SSL_FACTORY = "javax.net.ssl.SSLSocketFactory";
	
	private static Logger logger = Logger.getLogger("EMailer_log");
	
	public Emailer(String toAddress, String subject, String message) {
		
		Properties props = new Properties();
		props.put("mail.smtp.host", SMTP_HOST_NAME);
		props.put("mail.smtp.auth", "true");
		props.put("mail.debug", "false");
		props.put("mail.smtp.port", SMTP_PORT);
		props.put("mail.smtp.socketFactory.port", SMTP_PORT);
		props.put("mail.smtp.socketFactory.class", SSL_FACTORY);
		props.put("mail.smtp.socketFactory.fallback", "false");

		Session session = Session.getDefaultInstance(props, new javax.mail.Authenticator() {
			protected PasswordAuthentication getPasswordAuthentication() {
			return new PasswordAuthentication(USERNAME, PASSWORD);
		}
		});
		
		MimeMessage message1 =
			new MimeMessage(session);
			try {
				message1.setFrom(new InternetAddress(FROMEMAIL));
				message1.addRecipient(Message.RecipientType.TO,	new InternetAddress(toAddress));

				message1.setSubject(subject);

				// create the message part
				MimeBodyPart messageBodyPart =	new MimeBodyPart();

				//fill message
				messageBodyPart.setText(message);

				Multipart multipart = new MimeMultipart();
				multipart.addBodyPart(messageBodyPart);

				
				// Put parts in message
				message1.setContent(multipart);

				// Send the message
				Transport.send( message1 );
			} catch (AddressException e) {
				logger.warning("Error sending mail: \"" + subject + "\" to " + toAddress);
			} catch (MessagingException e) {
				logger.warning("Error sending mail: \"" + subject + "\"");
			}
			
		
	}
}
