package com.ifgi.gnc.server;

import java.util.logging.Logger;

import com.google.gwt.user.server.rpc.RemoteServiceServlet;
import com.ifgi.gnc.client.SendTaskService;
import com.ifgi.gnc.client.Task;


public class SendTaskServiceImpl extends RemoteServiceServlet implements
		SendTaskService {
	
	private static Logger logger = Logger.getLogger("SendTaskLog");

	@Override
	public boolean createTask(Task newTask) {
		//create new task 
		boolean isOk = new TaskHandler().registerTask(newTask);
		

		//encrypt taskID
		CryptingActivation man = CryptingActivation.getInstance();
	    man.init();
		String encryptedId = man.encrypt(newTask.getId());
				
		//send auth email
		
		String mess = "Confirm your task by visiting: " + "http://gnc-data.uni-muenster.de:52472/god/GNC.html?activate=" + encryptedId;
		logger.info(newTask.getUrl());
		logger.info(encryptedId);
		logger.info(mess);
		new Emailer(newTask.geteMail(), "GEONETCast On Demand - Please confirm your task", mess);
		
//		new Emailer(newTask.geteMail(), "Test", "Test");

		
		return isOk;
	}

}
