package com.ifgi.gnc.testing;

import java.sql.Timestamp;
import com.ifgi.gnc.client.BBox;
import com.ifgi.gnc.client.Product;
import com.ifgi.gnc.client.Schedule;
import com.ifgi.gnc.client.Task;
import com.ifgi.gnc.constants.Products;
import com.ifgi.gnc.server.TaskHandler;

public class RegisterTaskTest {

	public static void main(String[] args) {
		
		// create a dummy task
		String eMail = "ctrash@web.de";
		long current = System.currentTimeMillis();
		Schedule schedule = new Schedule(new Timestamp(600000), new Timestamp(current + 1200000), new Timestamp(current + 4800000));
		Product product = new Products().byName("NorthAfrica_SAF_Albedo");
		BBox bbox = new BBox(60, 35, 40, -10);
		String format = "tif";
		String id = "dummyTask2";
		Task t = new Task(eMail, schedule, product, bbox, format, id, false);
		new TaskHandler().registerTask(t);
	}
}
